import { AfterViewInit, ElementRef } from '@angular/core';
import { CircularProgressbarStyles } from '../types';
import * as i0 from "@angular/core";
export declare class CircularProgressbarWithChildrenComponent implements AfterViewInit {
    child: ElementRef;
    value: number;
    background: boolean;
    backgroundPadding: number;
    circleRatio: number;
    classes: {
        root: string;
        trail: string;
        path: string;
        text: string;
        background: string;
    };
    counterClockwise: boolean;
    className: string;
    maxValue: number;
    minValue: number;
    strokeWidth: number;
    styles: CircularProgressbarStyles;
    text: string;
    childExists: boolean;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CircularProgressbarWithChildrenComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CircularProgressbarWithChildrenComponent, "ng-circular-progressbar-with-children", never, { "value": "value"; "background": "background"; "backgroundPadding": "backgroundPadding"; "circleRatio": "circleRatio"; "classes": "classes"; "counterClockwise": "counterClockwise"; "className": "className"; "maxValue": "maxValue"; "minValue": "minValue"; "strokeWidth": "strokeWidth"; "styles": "styles"; "text": "text"; }, {}, never, ["*"]>;
}
